+++
title = "SafeMeds"
description = "A fast, lightweight, and modern way to track negative drug-drug interactions."
weight = 1


[extra]
local_image = "projects/safe-meds/safe-meds.png"
social_media_card = "img/social_cards/projects_safe-meds.png"
+++

[**SafeMeds**](https://github.com/DukeDifference/SafeMeds) is a modern, feature-rich web application allowing users to track negative side effects when multiple drugs are taken simultaneously.

{{ full_width_image(src="https://cdn.jsdelivr.net/gh/hadichaudhri/hadichaudhri.github.io@master/content/projects/safe-meds/safe-meds.png", alt="tabi light and dark mode") }}

#### [View on GitHub](https://github.com/DukeDifference/SafeMeds) {.centered-text}

## Features

-   **Comprehensive drug searching support**. Never miss a potential side-effect through our collation of drug side-effect APIs!
-   **Smooth OAuth login flow**. Log in easily using your existing Google account!
-   **Dark and light themes**. Defaults to the OS setting, with a switcher in the navigation bar.

## Future Goals

-   **Expanded multi-language support**. Freedom to add as many languages as we wish.
-   **Quick navigation buttons**. For storing your lists of previous searches.

## Development Practices

-   **[Conventional Commits](https://www.conventionalcommits.org)**: Commit messages follow standardised formats to enhance readability.

## Project Evolution

**SafeMeds** was originally conceived at Duke University's premier hackathon, [HackDuke](https://2022.hackduke.org/). Despite its origins for personal use, best practices were implemented from the outset to ensure quality and maintainability. The site has since grown to accomodate tracking more drugs to meet user needs!
